summaryrefslogtreecommitdiff
path: root/tests/vloghtb/test_febe.sh
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2015-05-17 19:54:00 +0200
committerClifford Wolf <clifford@clifford.at>2015-05-17 19:54:00 +0200
commit83499dc1ba14bc164991be0ee9bdf0ae0a7beff9 (patch)
tree991af8abb98f8b8f316751c73234fa482763e69a /tests/vloghtb/test_febe.sh
parent3ecb2bf0674a97ccfc66c6d8432a3b43355b3c0c (diff)
added vloghtb test_febe.sh
Diffstat (limited to 'tests/vloghtb/test_febe.sh')
-rw-r--r--tests/vloghtb/test_febe.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/vloghtb/test_febe.sh b/tests/vloghtb/test_febe.sh
new file mode 100644
index 00000000..7756202c
--- /dev/null
+++ b/tests/vloghtb/test_febe.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+source common.sh
+
+f=$1
+n=$(basename ${f%.v})
+
+test_febe vlog1 "synth" ".v" "write_verilog" "read_verilog" "-ignore_div_by_zero" $n $f
+test_febe vlog2 "synth -run coarse" ".v" "write_verilog" "read_verilog -icells" "-ignore_div_by_zero" $n $f
+test_febe blif "synth; splitnets -ports" ".blif" "write_blif -icells" "read_blif" "-ignore_div_by_zero" $n $f
+
+exit 0